Bug 1794568 - Behavior change for mic/speaker volume
Summary: Behavior change for mic/speaker volume
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mate-media
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Wolfgang Ulbrich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-23 20:18 UTC by Chris Adams
Modified: 2020-03-16 20:36 UTC (History)
2 users (show)

Fixed In Version: mate-media-1.22.2-2.fc30 mate-media-1.22.2-2.fc31 mate-media-1.22.2-3.fc30 mate-media-1.22.2-3.fc31 mate-media-1.24.0-2.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-16 14:48:23 UTC
Type: Bug


Attachments (Terms of Use)

Description Chris Adams 2020-01-23 20:18:03 UTC
In the past, when the volume control applet was in the notification area, when the mic was opened, a second volume control icon was added (leaving the speaker control alone and adding a mic control).

Now, when the mic is opened, the speaker control is replaced by the mic control, and I don't see any option to change this. I want the old behvaior; I almost never adjust the mic volume, but when I'm on a conference call or the like, I constantly need to adjust the speaker volume (because there are soft talkers and loud talkers). Since the speaker volume control is gone, I've lost the ability to hover the mouse over it and use the scroll wheel to quick-adjust (without having to open anything else).

It would be nice to get the old behavior back, or possibly have the behavior configurable, maybe: both controls, keep speaker control, or replace speaker with mic control (current behavior).

Comment 1 Wolfgang Ulbrich 2020-02-12 16:28:17 UTC
One reason for switching the applet version was that GtkStatusIcon is deprecated and we will lost the whole notification area when switching to Gtk+4 in future.
Another reason was that all icons in notification-area are looking blurry with HIDPI displays.
I was surprised that you have missed a feature.
Any way, i will build mate-media with both applets, panel-applet and status-applet, but i won't add the old applet to autostart directory again.
So, you have to add `/usr/bin/mate-volume-control-status-icon` command with mate-session-properties to session-autostart for your own.
I hope this is OK for you.

Comment 2 Chris Adams 2020-02-12 16:35:24 UTC
The best solution would be for the new applet to have similar behavior to the old, where I can have both a speaker and a mic volume control (ideally only show the mic control when the mic is open). Right now, the new applet is a regression in functionality from the old.

Comment 3 Wolfgang Ulbrich 2020-02-12 17:29:26 UTC
Regression is a great word. I don't think that the majority of users will run into this issue.
And adding the command to autostart is a very simple task should be possible for a linux user.
Well, feel free to file out a report at MATE upstream for adding old functionality to new applet.
https://github.com/mate-desktop/mate-media/issues

Comment 4 Fedora Update System 2020-02-12 17:34:21 UTC
FEDORA-2020-163dbeced3 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-163dbeced3

Comment 5 Fedora Update System 2020-02-12 17:34:51 UTC
FEDORA-2020-04d3f92b5b has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-04d3f92b5b

Comment 6 Fedora Update System 2020-02-12 20:41:43 UTC
mate-media-1.22.2-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-04d3f92b5b

Comment 7 Fedora Update System 2020-02-13 01:16:09 UTC
mate-media-1.22.2-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-163dbeced3

Comment 8 Fedora Update System 2020-02-20 04:46:13 UTC
mate-media-1.22.2-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2020-02-20 05:04:00 UTC
mate-media-1.22.2-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Chris Adams 2020-03-06 01:29:49 UTC
This is fixed upstream now in https://github.com/mate-desktop/mate-media/pull/157, specifically https://github.com/mate-desktop/mate-media/commit/37b35814fe05908f6e2c66ccdc1fabcf3b6c743a.patch - can this be added to Fedora 31?

Comment 11 Fedora Update System 2020-03-08 20:45:18 UTC
FEDORA-2020-80ae35533b has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-80ae35533b

Comment 12 Fedora Update System 2020-03-08 20:45:19 UTC
FEDORA-2020-7f79dede7d has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-7f79dede7d

Comment 13 Fedora Update System 2020-03-08 20:45:21 UTC
FEDORA-2020-e649e239e5 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-e649e239e5

Comment 14 Fedora Update System 2020-03-09 01:36:44 UTC
mate-media-1.22.2-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-7f79dede7d

Comment 15 Fedora Update System 2020-03-09 02:14:47 UTC
mate-media-1.22.2-3.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-e649e239e5

Comment 16 Fedora Update System 2020-03-09 14:53:54 UTC
mate-media-1.24.0-2.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-80ae35533b

Comment 17 Fedora Update System 2020-03-16 14:48:23 UTC
mate-media-1.22.2-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2020-03-16 15:10:48 UTC
mate-media-1.22.2-3.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2020-03-16 20:36:08 UTC
mate-media-1.24.0-2.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.